@import url("https://fonts.googleapis.com/css2?family=Squada+One&display=swap");
*, *::before, *::after {
    padding: 0;
    margin: 0 auto;
    box-sizing: border-box;
}

body {
    font-family: "Squada One", cursive;
    background-color: #000;
}

.morphing {
    position: relative;
    font-size: 120px;
    background-color: #000;
    color: #fff;
    min-height: 100vh;
    filter: contrast(25) blur(1px);
}

.word {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(255, 255, 255, 0.1);
    animation: word 16s infinite ease-in-out;
}

.word:nth-child(1) {
    animation-delay: -16s;
}
.word:nth-child(2) {
    animation-delay: -14s;
}
.word:nth-child(3) {
    animation-delay: -12s;
}
.word:nth-child(4) {
    animation-delay: -10s;
}
.word:nth-child(5) {
    animation-delay: -8s;
}
.word:nth-child(6) {
    animation-delay: -6s;
}
.word:nth-child(7) {
    animation-delay: -4s;
}
@keyframes word {
    0%, 5%, 100% {
        filter: blur(0px);
        opacity: 1;
    }
    20%, 80% {
        filter: blur(1em);
        opacity: 0;
    }
}

[data-words] {
    vertical-align: top;
    position: static;
}
[data-words] > span {
    display: none;
    position: absolute;
}

.thank-you {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.thank-you span {
    color: white;
    font-size: 50px;
    white-space: nowrap;
}

a.information-button {
    color: white;
    position: absolute;
    top: 40%;
    right: 50%;
    cursor: pointer;
}

.information-wrapper {
    position: fixed;
    width: 100%;
    background: white;
    z-index: 9999;
    max-width: 400px;
    padding: 3em 1em 1em 1em;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    display: none;
}

span.note {
    color: red;
    display: block;
    padding: 0.5em 0;
}

.information-wrapper .close {
    position: absolute;
    top: 0;
    right: 0;
    background: black;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.information-wrapper .close:after {
    content: 'X';
    font-family: 'arial';
    color: white;
    position: relative;
    left: 8px;
    top: 2px;
    font-size: 24px;
}

.overlay {
    position: fixed;
    background-color: rgba(255,255,255,0.4);
    width: 100%;
    height: 100%;
    z-index: 9998;
    cursor: pointer;
    display: none;
}

.overlay.active {
    display: block;
}

button {
    padding: 1em;
    background: black;
    border: 0;
    color: white;
    margin-top: 2em;
    display: block;
    cursor: pointer;
}

.information-wrapper.active {
    display: block;
}

@media(max-width: 500px) {
    .thank-you span {
        font-size: 40px;
    }
}